<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Carrot News</title>
    <meta name="description" content="My first PWA" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="css/materialize.min.css" />
    <link rel="manifest" href="/manifest.json" />
    <meta name="theme-color" content="#00897B" />
  </head>
  <body>
    <!-- Navigasi -->
    <nav class="teal lighten-1" role="navigation">
      <div class="nav-wrapper container">
        <a href="#" class="brand-logo" id="logo-container">Carrot News</a>
        <a href="#" class="sidenav-trigger" data-target="nav-mobile">&#9776;</a>

        <ul class="topnav right hide-on-med-and-down"></ul>
        <ul class="sidenav" id="nav-mobile"></ul>
      </div>
    </nav>
    <!-- Akhir Navigasi -->

    <div class="container" id="body-content"></div>

    <script src="js/materialize.min.js"></script>
    <script src="js/idb.js"></script>
    <script src="js/db.js"></script>
    <script src="js/nav.js"></script>
    <script src="js/api.js"></script>


    <script>
      // REGISTER SERVICE WORKER
      if ("serviceWorker" in navigator) {
        window.addEventListener("load", function() {
          navigator.serviceWorker
            .register("/service-worker.js")
            .then(function() {
              console.log("Pendaftaran ServiceWorker berhasil");
            })
            .catch(function() {
              console.log("Pendaftaran ServiceWorker gagal");
            });
        });
      } else {
        console.log("ServiceWorker belum didukung browser ini.");
      }

      // REQUEST API UNTUK PERTAMA KALI
      document.addEventListener("DOMContentLoaded", function() {
        var page = window.location.hash.substr(1);


      });
    </script>
  </body>
</html>
